Skip to main content
POST
/
platform-api
/
v1
/
customers
/
get
Get customer
curl --request POST \
  --url https://app.sagepilot.ai/platform-api/v1/customers/get \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "<string>",
  "customerId": "<string>",
  "email": "<string>",
  "phone": "<string>"
}
'
{
  "id": "88d44689-1ce7-4033-8256-655a7cd8f90b",
  "name": "Vikram Singh Chundawat",
  "email": "[email protected]",
  "phone": "+918003213447",
  "custom_fields": "{\"country\": \"Rajasthan\", \"location\": \"Bhilwara\", \"popup_submitted\": true, \"campaign.country\": \"Rajasthan\", \"popup_source_url\": \"https://sagepilot-test-account.myshopify.com/\", \"campaign.location\": \"Bhilwara\", \"popup_submitted_at\": \"2025-10-29T10:24:04.225Z\"}",
  "created_at": "2025-02-18T19:49:12.573277+00:00",
  "instagram_id": null,
  "instagram_username": null,
  "channel_name": "New Playground Channel",
  "channel_kind": "playground"
}
{
  "id": "88d44689-1ce7-4033-8256-655a7cd8f90b",
  "name": "Vikram Singh Chundawat",
  "email": "[email protected]",
  "phone": "+918003213447",
  "custom_fields": "{\"country\": \"Rajasthan\", \"location\": \"Bhilwara\", \"popup_submitted\": true, \"campaign.country\": \"Rajasthan\", \"popup_source_url\": \"https://sagepilot-test-account.myshopify.com/\", \"campaign.location\": \"Bhilwara\", \"popup_submitted_at\": \"2025-10-29T10:24:04.225Z\"}",
  "created_at": "2025-02-18T19:49:12.573277+00:00",
  "instagram_id": null,
  "instagram_username": null,
  "channel_name": "New Playground Channel",
  "channel_kind": "playground"
}
Get a single customer by exact ID, email, or phone.

Required access

AuthenticationScopeDataset grant
API client v2customers:readcustomers

Body

One of customerId, email, or phone is required.
workspaceId
string
Optional workspace UUID. The authenticated workspace is used by default. Find the current workspace ID in Settings > API Details > Channels. See Resource IDs.
customerId
string
Customer UUID to look up. Open a customer in the Customer module and use the last UUID in the URL: /dashboard/[workspace_id]/customers/[customer_id]. See Resource IDs.
email
string
Customer email to look up.
phone
string
Customer phone number to look up.

Response

id
string
Customer ID.
name
string
Customer name.
email
string
Customer email.
phone
string
Customer phone number.